summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJavier Jardón <jjardon@gnome.org>2017-01-29 18:55:07 +0000
committerJavier Jardón <jjardon@gnome.org>2017-01-29 18:55:07 +0000
commit011af5d867ae82e45840c8d4dcd7802b34412181 (patch)
treedb56de4d200e680912889be84c01e7f2d24d8039
parentabd0dbbacd9cdc0b9d8047aa350d599e0b06ab8e (diff)
downloadybd-revert-abd0dbba.tar.gz
Revert "Merge branch 'jjardon/pip_improvements' into 'master'"revert-abd0dbba
This reverts merge request !288
-rwxr-xr-xinstall_dependencies.sh16
1 files changed, 11 insertions, 5 deletions
diff --git a/install_dependencies.sh b/install_dependencies.sh
index a2f556c..3a5b3e6 100755
--- a/install_dependencies.sh
+++ b/install_dependencies.sh
@@ -32,7 +32,7 @@ installed=false
which apt-get 2>&1 > /dev/null
if [ $? -eq 0 ]; then
$SUDO apt-get -qq update
- $SUDO apt-get -qq install build-essential gawk git m4 wget python-pip
+ $SUDO apt-get -qq install build-essential gawk git m4 wget
if [ $? -ne 0 ]; then
echo "Install failed"
exit 1
@@ -43,7 +43,7 @@ fi
# install for fedora
which dnf 2>&1 > /dev/null
if [ $? -eq 0 ] && [ $installed = false ]; then
- $SUDO dnf install -y which make automake gcc gcc-c++ gawk git m4 wget python python-pip
+ $SUDO dnf install -y which make automake gcc gcc-c++ gawk git m4 wget python
if [ $? -ne 0 ]; then
echo "Install failed"
exit 1
@@ -54,7 +54,7 @@ fi
# install for aws
which yum 2>&1 > /dev/null
if [ $? -eq 0 ] && [ $installed = false ]; then
- $SUDO yum install -y which make automake gcc gcc-c++ gawk git m4 wget python python-pip
+ $SUDO yum install -y which make automake gcc gcc-c++ gawk git m4 wget python
if [ $? -ne 0 ]; then
echo "Install failed"
exit 1
@@ -65,7 +65,7 @@ fi
# install for Arch
which pacman 2>&1 > /dev/null
if [ $? -eq 0 ] && [ $installed = false ]; then
- $SUDO pacman -S --noconfirm which make automake gcc gawk git m4 wget python2 python2-pip
+ $SUDO pacman -S --noconfirm which make automake gcc gawk git m4 wget python2
if [ $? -ne 0 ]; then
echo "Install failed"
exit 1
@@ -78,6 +78,12 @@ if [ $installed = false ]; then
exit 1
fi
-pip install -U pip
+pip --version 2>&1 > /dev/null
+if [ $? -ne 0 ]; then
+ wget https://bootstrap.pypa.io/get-pip.py
+ chmod +x get-pip.py
+ $SUDO ./get-pip.py
+ $SUDO rm get-pip.py
+fi
$SUDO pip install -r requirements.freeze.txt